Show / Hide Table of Contents

# Struct ImGuiTableColumnSortSpecs

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiTableColumnSortSpecs

### Fields

| Improve this Doc View Source

#### ColumnIndex

##### Declaration

    public short ColumnIndex

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### ColumnUserID

##### Declaration

    public uint ColumnUserID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SortDirection

##### Declaration

    public ImGuiSortDirection SortDirection

##### Field Value

Type | Description
--- | ---
ImGuiSortDirection |

| Improve this Doc View Source

#### SortOrder

##### Declaration

    public short SortOrder

##### Field Value

Type | Description
--- | ---
System.Int16 |